/*
 *
 * Copyright  2004, University of Washington, 
 * Department of Computer Science and Engineering. All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without 
 * modification, are permitted provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice, 
 * this list of conditions and the following disclaimer. 
 * 
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 * this list of conditions and the following disclaimer in the documentation 
 * and/or other materials provided with the distribution.
 *
 * 3. Neither name of the University of Washington, Department of Computer 
 * Science and Engineering nor the names of its contributors may be used to 
 * endorse or promote products derived from this software without specific 
 * prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS''
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE 
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE 
 * ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE FOR 
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL 
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER 
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 *
 */

package cse466.ledtest;

import cse466.packets.*;

import java.io.*;
import java.net.*;

public class LedTest {
  OutputStream _os;
  
  public LedTest(String host, int port){
    try{
      Socket s = new Socket(host, port);
      _os = s.getOutputStream();
    } catch (IOException ioe){
      System.err.println(ioe);
      _os = null;
    }
  }

  public void run(){
    if(_os == null) return;
    LedsPacket lp = new LedsPacket();
    BufferedReader br = 
      new BufferedReader(new InputStreamReader(System.in));

    try {
      _os.write('T');
      _os.write(' ');
      String line = br.readLine();

      while(!line.equals("quit")){
        try {
          lp.value = Integer.parseInt(line);
          _os.write(lp.getByteArray());
          line = br.readLine();
        } catch (NumberFormatException nfe) {
          System.err.println("Must be just a number");
        } catch (IOException ioe){
          System.err.println(ioe);
          break;
        }
      }
    } catch (IOException ioe) {
      System.err.println(ioe);
    }
  }


  public static void main(String[] args){
    String host;
    int port;
    try {
      host = args[0];
      port = Integer.parseInt(args[1]);
      (new LedTest(host, port)).run();
    } catch (Exception e) {
      System.err.println(e);
    }
  }

}
